Skip to main content
`Ctrl`+`K`

# DMPlexComputeBdJacobianSingle

Compute the local boundary Jacobian

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexComputeBdJacobianSingle(DM dm, PetscWeakForm wf, DMLabel label, PetscInt numValues, const PetscInt values[], PetscInt fieldI, Vec locX, Vec locX_t, PetscReal t, PetscReal X_tShift, Mat Jac, Mat JacP)

Not collective

## Input Parameters

- dm - The output `DM`

- wf - The `PetscWeakForm` holding forms on this boundary

- label - The `DMLabel` indicating what faces should be integrated over

- numValues - The number of label values

- values - The array of label values

- fieldI - The test field for these integrals

- locX - The local solution

- locX_t - The time derivative of the local solution, or `NULL` for time-independent problems

- t - The time

- X_tShift - The multiplier for dF/dxdot

## Output Parameters

- Jac - The local Jacobian

- JacP - The local Jacobian preconditioner

## See Also

`DMPlexComputeBdJacobianSingleByLabel()`, `DMPlexComputeJacobianByKey()`, `DMPlexComputeResidualHybridByKey()`, `DMPlexComputeJacobianHybridByKey()`, `PetscFormKey`

## Level

developer

## Location

src/dm/impls/plex/plexfem.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages